<nav th:fragment="paginationbar">
    <ul class="pagination">
        <li class="page-item" th:class="${page.firstPage}? 'page-item disabled' : 'page-item'">
            <span class="page-link" name="pg-value" th:if="${page.firstPage}" th:text="#{paginator.first}"><span>Primero</span></span>
            <span class="page-link" name="pg-value" th:if="${not page.firstPage}" th:value="@{${page.url}(page=1)}" th:text="#{paginator.first}">Primero</span>
        </li>
        <li class="page-item" th:class="${page.hasPreviousPage}? 'page-item' : 'page-item disabled'">
            <span class="page-link" name="pg-value" th:if="${page.firstPage}"><span>&laquo;</span></span>
            <span class="page-link" name="pg-value" th:if="${page.hasPreviousPage}" th:value="@{${page.url}(page=${page.number-1})}" title="Go to previous page">&laquo;</span>
        </li>
        <li class="page-item" th:each="item : ${page.items}" th:class="${item.current}? 'page-item disabled' : 'page-item'">
            <span class="page-link" name="pg-value" th:if="${item.current}"><span th:text="${item.number}">1</span></span>
            <span class="page-link" name="pg-value" th:if="${not item.current}" th:value="@{${page.url}(page=${item.number})}"><span th:text="${item.number}">1</span></span>
        </li>
        <li class="page-item" th:class="${page.hasNextPage}? 'page-item' : 'page-item disabled'">
            <span class="page-link" name="pg-value" th:if="${not page.hasNextPage}"><span>&raquo;</span></span>
            <span class="page-link" name="pg-value" th:if="${page.hasNextPage}" th:value="@{${page.url}(page=${page.number+1})}" title="Go to next page">&raquo;</span>
        </li>
        <li class="page-item" th:class="${page.lastPage}? 'page-item disabled' : 'page-item'">
            <span class="page-link" name="pg-value" th:if="${page.lastPage}"><span th:text="#{paginator.last}">Último</span></span>
            <span class="page-link" name="pg-value" th:if="${not page.lastPage}" th:value="@{${page.url}(page=${page.totalPages})}" th:text="#{paginator.last}">Último</span>
        </li>
    </ul>
    <div>
        <span class="small" name="pg-value" th:text="${page.summary}"></span>
    </div>
</nav>